## inkscape 1.4.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
cmake_minimum_required(VERSION 3.12.0)

if(POLICY CMP0167)
    cmake_policy(SET CMP0167 NEW) # use FindBoost from boost 1.70+ (cmake 3.30+)
endif()

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
# set(CMAKE_CXX_EXTENSIONS OFF) # enforces -std=c++20 instead of -std=gnu++20
                                # TODO: build currently fails with it as we actually depend on GNU compiler extensions...
                                #       mostly use of the non-Standard M_PI et al. TODO: C++20: Use the <numbers> header.

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)

project(inkscape)
set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME inkscape) # needs to be before any install() commands

include(GNUInstallDirs) # for the CMAKE_INSTALL_LIBDIR variable
include(CMakeScripts/ConfigPaths.cmake)
include(CMakeDependentOption)

set(PROJECT_NAME inkscape)

# see https://gitlab.com/inkscape/inkscape/-/issues/551 for versioning suffixes
set(INKSCAPE_VERSION_MAJOR  1)
set(INKSCAPE_VERSION_MINOR  4)
set(INKSCAPE_VERSION_PATCH  3)
set(INKSCAPE_VERSION_SUFFIX "")

set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
if(INKSCAPE_VERSION_PATCH)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}.${INKSCAPE_VERSION_PATCH})
endif()
if(INKSCAPE_VERSION_SUFFIX)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}${INKSCAPE_VERSION_SUFFIX})
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

file(RELATIVE_PATH
    INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR
    "${CMAKE_INSTALL_FULL_BINDIR}"
    "${CMAKE_INSTALL_FULL_LIBDIR}/inkscape")

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
endif()

# console output is slow as hell on Windows and as a result status messages of the "install" target slow down
# the whole build process considerably (especially since we also copy a lot of files from the devlibs)
# TODO: Is this worth to be configurable / also applicable to other platforms?
if(WIN32 AND NOT CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()

# Define a very strict set of build flags that will prevent any use of deprecated symbols.
# This will almost certainly cause compilation failure and is intended only for developer use.
set(CMAKE_CXX_FLAGS_STRICT "${CMAKE_CXX_FLAGS_DEBUG} -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED -DGLIBMM_DISABLE_DEPRECATED"
    CACHE STRING
    "Flags used by C++ compiler during Strict builds"
    FORCE)
set(CMAKE_C_FLAGS_STRICT   "${CMAKE_C_FLAGS_DEBUG}   -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED"
    CACHE STRING
    "Flags used by C compiler during Strict builds"
    FORCE)
mark_as_advanced(
    CMAKE_CXX_FLAGS_STRICT
    CMAKE_C_FLAGS_STRICT)

set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING
    "Choose the type of build, options are: None(CMAKE_CXXFLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel Strict."
    FORCE)

# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR} CACHE PATH "Output directory for runtime binaries")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for shared libraries")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for static libraries")

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_GNU_READLINE "Compile with GNU Readline support (shell mode)" ON)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool" OFF)
option(LPE_ENABLE_TEST_EFFECTS "Compile with test experimental LPEs enabled" OFF)
option(WITH_OPENMP "Compile with OpenMP support" ON)
option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling
option(BUILD_SHARED_LIBS "Compile libraries as shared and not static" ON)

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution (requires ImageMagick 6; set to OFF if you prefer GraphicsMagick)" ON)
option(WITH_GRAPHICS_MAGICK "Compile with support of GraphicsMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_GSPELL "Compile with support of gspell" ON)
option(WITH_GSOURCEVIEW "Compile with support of gsourceview (text syntax coloring)" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_JEMALLOC "Compile with JEMALLOC support" OFF)
option(WITH_ASAN "Compile with Clang's AddressSanitizer (for debugging purposes)" OFF)
option(WITH_INTERNAL_2GEOM "Prefer internal copy of lib2geom" OFF)
cmake_dependent_option(WITH_X11 "Compile with X11 support" ON "UNIX; NOT APPLE" OFF)

option(WITH_FUZZ "Compile for fuzzing purpose (use 'make fuzz' only)" OFF)
mark_as_advanced(WITH_FUZZ)
option(WITH_MANPAGE_COMPRESSION "gzips manpages if gzip is available" ON)
mark_as_advanced(WITH_MANPAGE_COMPRESSION)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)

option(LINUX_SNAP_PACKAGE "Compile for use in Linux snap package format" OFF)

include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros

# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
if(BUILD_SHARED_LIBS AND NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------



# -----------------------------------------------------------------------------
# Subdirectories
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

if(NOT WIN32)
    include(CMakeScripts/Pod2man.cmake)
    add_subdirectory(man)
endif()



# -----------------------------------------------------------------------------
# Check License Headers
# -----------------------------------------------------------------------------
add_custom_target(check-license-headers WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} COMMAND ./buildtools/check_license_headers.py)


# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------

if(BUILD_TESTING OR NOT DEFINED BUILD_TESTING)
    find_package(GTest)
    if(GTEST_FOUND)
        set(DART_TESTING_TIMEOUT 180 CACHE STRING "Test timeout") # if running for > 180 s something must be wrong)
        include(CTest)
        add_subdirectory(testfiles EXCLUDE_FROM_ALL)
    else()
        set(BUILD_TESTING OFF)
        message(WARNING "No gtest found! Disabling testing...\n"
                        "Consider installing it via package manager (install 'libgtest-dev' or equivalent).")
    endif()
endif()


# -----------------------------------------------------------------------------
# Clean Targets
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

# -----------------------------------------------------------------------------
# Install Target
# -----------------------------------------------------------------------------
add_subdirectory(share)

if(WIN32)
  include(CMakeScripts/InstallMSYS2.cmake)
endif()

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
if(WIN32)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -E remove_directory "${CMAKE_INSTALL_PREFIX}")
else()
    configure_file(
        "${CMAKE_SOURCE_DIR}/CMakeScripts/cmake_uninstall.cmake.in"
        "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

# -----------------------------------------------------------------------------
# Dist Targets
# -----------------------------------------------------------------------------
include(CMakeScripts/Dist.cmake)

# -----------------------------------------------------------------------------
# Packaging (CPack)
# -----------------------------------------------------------------------------
include(CMakeScripts/ConfigCPack.cmake)



# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("CMAKE_INSTALL_LIBDIR:    ${CMAKE_INSTALL_LIBDIR}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("WITH_GNU_READLINE:       ${WITH_GNU_READLINE}")

=== src/ui/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
set(ui_SRC
	builder-utils.cpp
	clipboard.cpp
	contextmenu.cpp
	controller.cpp
	cursor-utils.cpp
	dialog-events.cpp
	dialog-run.cpp
	draw-anchor.cpp
	drag-and-drop.cpp
	icon-loader.cpp
	interface.cpp
	menuize.cpp
	monitor.cpp
	pack.cpp
	popup-menu.cpp
	selected-color.cpp
	shape-editor.cpp
	shape-editor-knotholders.cpp
	simple-pref-pusher.cpp
	shortcuts.cpp
	svg-renderer.cpp
	syntax.cpp
	themes.cpp
	tool-factory.cpp
	util.cpp
	modifiers.cpp

	cache/svg_preview_cache.cpp

	desktop/document-check.cpp
	desktop/menubar.cpp
	desktop/menu-set-tooltips-shift-icons.cpp

	knot/knot.cpp
	knot/knot-holder.cpp
	knot/knot-holder-entity.cpp
	knot/knot-ptr.cpp

	tool/control-point-selection.cpp
	tool/control-point.cpp
	tool/curve-drag-point.cpp
	tool/modifier-tracker.cpp
	tool/multi-path-manipulator.cpp
	tool/node.cpp
	tool/path-manipulator.cpp
	tool/selectable-control-point.cpp
	tool/transform-handle-set.cpp

	toolbar/arc-toolbar.cpp
	toolbar/box3d-toolbar.cpp
	toolbar/calligraphy-toolbar.cpp
	toolbar/connector-toolbar.cpp
	toolbar/dropper-toolbar.cpp
	toolbar/marker-toolbar.cpp
	toolbar/eraser-toolbar.cpp
	toolbar/gradient-toolbar.cpp
	toolbar/lpe-toolbar.cpp
	toolbar/measure-toolbar.cpp
	toolbar/mesh-toolbar.cpp
	toolbar/node-toolbar.cpp
	toolbar/objectpicker-toolbar.cpp
	toolbar/page-toolbar.cpp
	toolbar/paintbucket-toolbar.cpp
	toolbar/pencil-toolbar.cpp
	toolbar/rect-toolbar.cpp
	toolbar/select-toolbar.cpp
	toolbar/booleans-toolbar.cpp
	toolbar/spiral-toolbar.cpp
	toolbar/spray-toolbar.cpp
	toolbar/star-toolbar.cpp
	toolbar/text-toolbar.cpp
	toolbar/toolbar.cpp
	toolbar/tweak-toolbar.cpp
	toolbar/zoom-toolbar.cpp

	toolbar/command-toolbar.cpp
	toolbar/tool-toolbar.cpp
	toolbar/snap-toolbar.cpp
	toolbar/toolbars.cpp

	tools/arc-tool.cpp
	tools/box3d-tool.cpp
	tools/calligraphic-tool.cpp
	tools/connector-tool.cpp
	tools/dropper-tool.cpp
	tools/dynamic-base.cpp
	tools/eraser-tool.cpp
	tools/flood-tool.cpp
	tools/freehand-base.cpp
	tools/gradient-tool.cpp
	tools/lpe-tool.cpp
	tools/measure-tool.cpp
	tools/mesh-tool.cpp
	tools/node-tool.cpp
	tools/object-picker-tool.cpp
	tools/pages-tool.cpp
	tools/pencil-tool.cpp
	tools/pen-tool.cpp
	tools/rect-tool.cpp
	tools/marker-tool.cpp
	tools/select-tool.cpp
	tools/booleans-builder.cpp
	tools/booleans-tool.cpp
	tools/booleans-subitems.cpp
	tools/shortcuts.cpp
	tools/spiral-tool.cpp
	tools/spray-tool.cpp
	tools/star-tool.cpp
	tools/text-tool.cpp
	tools/tool-base.cpp
	tools/tweak-tool.cpp
	tools/zoom-tool.cpp

	dialog/about.cpp
	dialog/align-and-distribute.cpp
	dialog/calligraphic-profile-rename.cpp
	dialog/clonetiler.cpp
	dialog/color-item.cpp
	dialog/command-palette.cpp
	dialog/attrdialog.cpp
	dialog/dialog-base.cpp
	dialog/dialog-container.cpp
	dialog/dialog-data.cpp
	dialog/dialog-manager.cpp
	dialog/dialog-multipaned.cpp
	dialog/dialog-notebook.cpp
	dialog/dialog-window.cpp
	dialog/document-properties.cpp
	dialog/document-resources.cpp
	dialog/export.cpp
	dialog/export-batch.cpp
	dialog/export-single.cpp
	dialog/extensions-gallery.cpp
	dialog/filedialog.cpp
	dialog/filedialogimpl-gtkmm.cpp
	dialog/fill-and-stroke.cpp
	dialog/filter-effects-dialog.cpp
	dialog/find.cpp
	dialog/font-collections-manager.cpp
	widget/font-collection-selector.cpp
	dialog/font-substitution.cpp
	dialog/global-palettes.cpp
	dialog/glyphs.cpp
	dialog/grid-arrange-tab.cpp
	dialog/guides.cpp
	dialog/icon-preview.cpp
	dialog/inkscape-preferences.cpp
	dialog/knot-properties.cpp
	dialog/layer-properties.cpp
	dialog/livepatheffect-editor.cpp
	dialog/lpe-fillet-chamfer-properties.cpp
	dialog/lpe-powerstroke-properties.cpp
	dialog/memory.cpp
	dialog/messages.cpp
	dialog/new-from-template.cpp
	dialog/object-attributes.cpp
	dialog/object-properties.cpp
	dialog/objects.cpp
	dialog/polar-arrange-tab.cpp
	dialog/print.cpp
	dialog/prototype.cpp
	dialog/selectorsdialog.cpp
	dialog/startup.cpp
	dialog/styledialog.cpp
	dialog/svg-fonts-dialog.cpp
	dialog/svg-preview.cpp
	dialog/swatches.cpp
	dialog/symbols.cpp
	dialog/paint-servers.cpp
	dialog/text-edit.cpp
	dialog/tile.cpp
	dialog/tracedialog.cpp
	dialog/transformation.cpp
	dialog/undo-history.cpp
	dialog/xml-tree.cpp
	dialog/save-template-dialog.cpp

	widget/iconrenderer.cpp
	widget/alignment-selector.cpp
	widget/anchor-selector.cpp
	widget/completion-popup.cpp
	widget/canvas.cpp
	widget/canvas/stores.cpp
	widget/canvas/synchronizer.cpp
	widget/canvas/util.cpp
	widget/canvas/texture.cpp
	widget/canvas/texturecache.cpp
	widget/canvas/pixelstreamer.cpp
	widget/canvas/updaters.cpp
	widget/canvas/framecheck.cpp
	widget/canvas/glgraphics.cpp
	widget/canvas/cairographics.cpp
	widget/canvas/graphics.cpp
	widget/canvas-grid.cpp
	widget/canvas-notice.cpp
	widget/color-entry.cpp
	widget/color-icc-selector.cpp
	widget/color-notebook.cpp
	widget/color-palette.cpp
	widget/color-palette-preview.cpp
	widget/color-picker.cpp
	widget/color-preview.cpp
	icon-loader.cpp
	widget/color-scales.cpp
	widget/color-slider.cpp
	widget/combo-box-entry-tool-item.cpp
	widget/combo-tool-item.cpp
	widget/css-name-class-init.cpp
	widget/custom-tooltip.cpp
	widget/dash-selector.cpp
        widget/desktop-widget.cpp
	widget/entity-entry.cpp
	widget/entry.cpp
	widget/export-lists.cpp
	widget/export-preview.cpp
	widget/filter-effect-chooser.cpp
	widget/fill-style.cpp
	widget/font-button.cpp
	widget/font-list.cpp
	widget/font-selector.cpp
	widget/font-selector-toolbar.cpp
	widget/font-variants.cpp
	widget/font-variations.cpp
	widget/frame.cpp
	widget/gradient-image.cpp
	widget/gradient-editor.cpp
	widget/gradient-selector.cpp
	widget/gradient-vector-selector.cpp
	widget/gradient-with-stops.cpp
	widget/image-properties.cpp
	widget/imagetoggler.cpp
	widget/ink-color-wheel.cpp
	widget/ink-ruler.cpp
	widget/ink-spinscale.cpp
	widget/labelled.cpp
	widget/layer-selector.cpp
	widget/licensor.cpp
	widget/marker-combo-box.cpp
	widget/notebook-page.cpp
	widget/object-composite-settings.cpp
	widget/objects-dialog-cells.cpp
	widget/oklab-color-wheel.cpp
	widget/optglarea.cpp
	widget/page-properties.cpp
	widget/page-size-preview.cpp
	widget/page-selector.cpp
	widget/paint-selector.cpp
	widget/pattern-editor.cpp
	widget/point.cpp
	widget/popover-menu.cpp
	widget/popover-menu-item.cpp
	widget/preferences-widget.cpp
	widget/random.cpp
	widget/registered-widget.cpp
	widget/registry.cpp
	widget/rendering-options.cpp
	widget/rotateable.cpp
	widget/scalar-unit.cpp
	widget/scalar.cpp
	widget/scroll-utils.cpp
	widget/selected-style.cpp
	widget/shapeicon.cpp
	widget/spin-scale.cpp
	widget/spinbutton.cpp
        widget/status-bar.cpp
	widget/stroke-style.cpp
	widget/style-subject.cpp
	widget/style-swatch.cpp
	widget/swatch-selector.cpp
	widget/template-list.cpp
	widget/text.cpp
	widget/toolbar-menu-button.cpp
	widget/unit-menu.cpp
	widget/unit-tracker.cpp

	view/svg-view-widget.cpp


	# -------
	# Headers
	builder-utils.h
	clipboard.h
	contextmenu.h
	controller.h
	cursor-utils.h
	control-types.h
	dialog-events.h
	dialog-run.h
	drag-and-drop.h
	draw-anchor.h
	error-reporter.h
	filtered-store.h
	icon-names.h
	icon-loader.h
	interface.h
	manage.h
	menuize.h
	monitor.h
	pack.h
	popup-menu.h
	selected-color.h
	shape-editor.h
	simple-pref-pusher.h
	shortcuts.h
	syntax.h
	themes.h
	tool-factory.h
	util.h
	modifiers.h

	cache/svg_preview_cache.h

	desktop/document-check.h
	desktop/menubar.h
	desktop/menu-set-tooltips-shift-icons.h

	dialog/about.h
	dialog/align-and-distribute.h
	dialog/arrange-tab.h
	dialog/calligraphic-profile-rename.h
	dialog/clonetiler.h
	dialog/color-item.h
	dialog/command-palette.h
	dialog/attrdialog.h
	dialog/dialog-base.h
	dialog/dialog-container.h
	dialog/dialog-data.h
	dialog/dialog-manager.h
	dialog/dialog-multipaned.h
	dialog/dialog-notebook.h
	dialog/dialog-window.h
	dialog/document-properties.h
	dialog/export.h
	dialog/export-batch.h
	dialog/export-single.h
	dialog/extensions-gallery.h
	dialog/filedialog.h
	dialog/filedialogimpl-gtkmm.h
	dialog/filedialogimpl-win32.h
	dialog/fill-and-stroke.h
	dialog/filter-effects-dialog.h
	dialog/find.h
	dialog/font-collections-manager.h
	dialog/font-substitution.h
	dialog/global-palettes.h
	dialog/glyphs.h
	dialog/grid-arrange-tab.h
	dialog/guides.h
	dialog/icon-preview.h
	dialog/inkscape-preferences.h
	dialog/knot-properties.h
	dialog/layer-properties.h
	dialog/livepatheffect-editor.h
	dialog/lpe-fillet-chamfer-properties.h
	dialog/lpe-powerstroke-properties.h
	dialog/memory.h
	dialog/messages.h
	dialog/new-from-template.h
	dialog/object-attributes.h
	dialog/object-properties.h
	dialog/objects.h
	dialog/polar-arrange-tab.h
	dialog/print.h
	dialog/prototype.h
	dialog/selectorsdialog.h
	dialog/startup.h
	dialog/styledialog.h
	dialog/svg-fonts-dialog.h
	dialog/svg-preview.h
	dialog/swatches.h
	dialog/symbols.h
	dialog/paint-servers.h
	dialog/text-edit.h
	dialog/tile.h
	dialog/tracedialog.h
	dialog/transformation.h
	dialog/undo-history.h
	dialog/xml-tree.h
	dialog/save-template-dialog.h

	knot/knot.h
	knot/knot-enums.h
	knot/knot-holder.h
	knot/knot-holder-entity.h
	knot/knot-ptr.h

	tool/commit-events.h
	tool/control-point-selection.h
	tool/control-point.h
	tool/curve-drag-point.h
	tool/manipulator.h
	tool/modifier-tracker.h
	tool/multi-path-manipulator.h
	tool/node-types.h
	tool/node.h
	tool/path-manipulator.h
	tool/selectable-control-point.h
	tool/shape-record.h
	tool/transform-handle-set.h

	toolbar/arc-toolbar.h
	toolbar/box3d-toolbar.h
	toolbar/calligraphy-toolbar.h
	toolbar/connector-toolbar.h
	toolbar/dropper-toolbar.h
	toolbar/marker-toolbar.h
	toolbar/eraser-toolbar.h
	toolbar/gradient-toolbar.h
	toolbar/lpe-toolbar.h
	toolbar/measure-toolbar.h
	toolbar/mesh-toolbar.h
	toolbar/node-toolbar.h
	toolbar/objectpicker-toolbar.h
	toolbar/page-toolbar.h
	toolbar/paintbucket-toolbar.h
	toolbar/pencil-toolbar.h
	toolbar/rect-toolbar.h
	toolbar/select-toolbar.h
	toolbar/booleans-toolbar.h
	toolbar/spiral-toolbar.h
	toolbar/spray-toolbar.h
	toolbar/star-toolbar.h
	toolbar/text-toolbar.h
	toolbar/toolbar.h
	toolbar/tweak-toolbar.h
	toolbar/zoom-toolbar.h

	toolbar/toolbar-constants.h
	toolbar/toolbars.h
	toolbar/command-toolbar.h
	toolbar/tool-toolbar.h
	toolbar/snap-toolbar.h

	tools/arc-tool.h
	tools/box3d-tool.h
	tools/calligraphic-tool.h
	tools/connector-tool.h
	tools/dropper-tool.h
	tools/dynamic-base.h
	tools/eraser-tool.h
	tools/flood-tool.h
	tools/freehand-base.h
	tools/gradient-tool.h
	tools/lpe-tool.h
	tools/measure-tool.h
	tools/mesh-tool.h
	tools/node-tool.h
	tools/object-picker-tool.h
	tools/pages-tool.h
	tools/pen-tool.h
	tools/pencil-tool.h
	tools/rect-tool.h
	tools/marker-tool.h
	tools/select-tool.h
	tools/booleans-builder.h
	tools/booleans-tool.h
	tools/booleans-subitems.h
	tools/shortcuts.h
	tools/spiral-tool.h
	tools/spray-tool.h
	tools/star-tool.h
	tools/text-tool.h
	tools/tool-base.h
	tools/tweak-tool.h
	tools/zoom-tool.h

	widget/iconrenderer.h
	widget/alignment-selector.h
	widget/anchor-selector.h
	widget/attr-widget.h
	widget/canvas.h
	widget/canvas/fragment.h
	widget/canvas/prefs.h
	widget/canvas/stores.h
	widget/canvas/synchronizer.h
	widget/canvas/util.h
	widget/canvas/texture.h
	widget/canvas/texturecache.h
	widget/canvas/graphics.h
	widget/canvas/pixelstreamer.h
	widget/canvas/updaters.h
	widget/canvas/framecheck.h
	widget/canvas/glgraphics.h
	widget/canvas/cairographics.h
	widget/canvas-grid.h
        widget/canvas-notice.h
	widget/completion-popup.h
	widget/color-entry.h
	widget/color-icc-selector.h
	widget/color-notebook.h
	widget/color-palette.h
	widget/color-palette-preview.h
	widget/color-picker.h
	widget/color-preview.h
	widget/color-scales.h
	widget/color-slider.h
	widget/combo-enums.h
	widget/combo-box-entry-tool-item.h
	widget/combo-tool-item.h
	widget/css-name-class-init.h
	widget/custom-tooltip.h
	widget/dash-selector.h
        widget/desktop-widget.h
	widget/entity-entry.h
	widget/entry.h
	widget/events/canvas-event.h
	widget/events/debug.h
	widget/events/enums.h
	widget/export-lists.h
	widget/export-preview.h
	widget/fill-style.h

=== src/util/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

set(util_SRC
	action-accel.cpp
    document-fonts.cpp
	expression-evaluator.cpp
    font-collections.cpp
	format_size.cpp
	font-discovery.cpp
	font-tags.cpp
	funclog.cpp
	share.cpp
	object-renderer.cpp
	paper.cpp
	parse-int-range.cpp
	preview.cpp
	statics.cpp
    recently-used-fonts.cpp
	pool.cpp
	treeify.cpp
	units.cpp
	xim_fix.cpp
	ziptool.cpp


	# -------
	# Headers
	action-accel.h
	cached_map.h
	cast.h
	const_char_ptr.h
	delete-with.h
    document-fonts.h
	enums.h
	expression-evaluator.h
    font-collections.h
	fixed_point.h
	font-discovery.h
	font-tags.h
	format.h
	format_size.h
	forward-pointer-iterator.h
	funclog.h
	hybrid-pointer.h
	longest-common-suffix.h
    object-renderer.h
	optstr.h
	pages-skeleton.h
	paper.h
	parse-int-range.h
	pool.h
	preview.h
    recently-used-fonts.h
	reference.h
	scope_exit.h
	share.h
	signal-blocker.h
	statics.h
	treeify.h
	trim.h
	units.h
    variant-visitor.h
	xim_fix.h
	ziptool.h
	numeric/converters.h
)

add_inkscape_lib(util_LIB "${util_SRC}")
target_link_libraries(util_LIB PUBLIC 2Geom::2geom)
# add_inkscape_source("${util_SRC}")

=== testfiles/cli_tests/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later


# Helper function to add a CLI test
#
# Run an Inkscape command line and check for pass/fail condition (by default only exit status is checked)
#
# Command line options:
#   INPUT_FILENAME     - name of input file (optional)
#   OUTPUT_FILENAME    - name of output file (optional)
#   OUTPUT_PAGE        - index of page in multipage output (optional), starts from 0
#   FUZZ_PERCENTAGE    - maximum allowed normalized root-mean-squared distance between compared images
#   RASTER_DPI         - DPI setting for rasterizing vector formats before root-mean-squared comparison
#   PARAMETERS         - additional command line parameters to pass to Inkscape
#
# Pass/fail criteria:
#   PASS_FOR_OUTPUT    - pass if output matches the given value, otherwise fail
#                        see https://cmake.org/cmake/help/latest/prop_test/PASS_REGULAR_EXPRESSION.html for details
#   FAIL_FOR_OUTPUT    - fail if output matches the given value
#                        see https://cmake.org/cmake/help/latest/prop_test/FAIL_REGULAR_EXPRESSION.html for details
#   REFERENCE_FILENAME - compare OUTPUT_FILENAME with this pre-rendered reference file
#                        both files are converted to PNG and compared with ImageMagick's 'compare'
#                        for multipage output, use OUTPUT_PAGE to specify a single page for comparison
#   FUZZYREF_FILENAME  - comparison of OUTPUT_FILENAME with this pre-rendered reference file will be
#                        performed in the L2 metric, subject to the specified FUZZ_PERCENTAGE
#   EXPECTED_FILES     - verify the command produced the expected files (i.e. they exist on disk)
#   TEST_SCRIPT        - additional script to run after performing all checks and before cleaning up
#
# Other options:
#   ENVIRONMENT        - Additional environment variables to set while running the test
function(add_cli_test name)
    # parse arguments
    set(oneValueArgs INPUT_FILENAME OUTPUT_FILENAME OUTPUT_PAGE PASS_FOR_OUTPUT FAIL_FOR_OUTPUT REFERENCE_FILENAME
        FUZZYREF_FILENAME FUZZ_PERCENTAGE RASTER_DPI)
    set(multiValueArgs PARAMETERS EXPECTED_FILES TEST_SCRIPT ENVIRONMENT)
    cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

    set(testname  cli_${name})

    #disable dithering
    set(ARG_PARAMETERS ${ARG_PARAMETERS}  "--export-png-use-dithering=false")

    if(DEFINED ARG_OUTPUT_FILENAME)
        # for actions: if an export-do is present do not append export-filename option to prevent
        if(NOT ARG_PARAMETERS MATCHES "export-do")
            set(ARG_PARAMETERS ${ARG_PARAMETERS} "--export-filename=${ARG_OUTPUT_FILENAME}")
        endif()
    endif()
    if(DEFINED ARG_INPUT_FILENAME)
        set(ARG_INPUT_FILENAME "${CMAKE_CURRENT_SOURCE_DIR}/testcases/${ARG_INPUT_FILENAME}")
        set(ARG_PARAMETERS ${ARG_PARAMETERS} ${ARG_INPUT_FILENAME})
    endif()

    set(CMAKE_CTEST_ENV "${INKSCAPE_TEST_PROFILE_DIR_ENV}/${testname};${CMAKE_CTEST_ENV}")
    if(DEFINED ARG_ENVIRONMENT)
        if(ARG_ENVIRONMENT STREQUAL "unset")
            unset(CMAKE_CTEST_ENV)
        else()
            # variables might already be set, however the last value wins
            list(APPEND CMAKE_CTEST_ENV ${ARG_ENVIRONMENT})
        endif()
    endif()

    # add test for main command line
    add_test(NAME ${testname} COMMAND inkscape ${ARG_PARAMETERS})
    set_tests_properties(${testname} PROPERTIES ENVIRONMENT "${CMAKE_CTEST_ENV}")
    if(DEFINED ARG_PASS_FOR_OUTPUT)
        set_tests_properties(${testname} PROPERTIES PASS_REGULAR_EXPRESSION ${ARG_PASS_FOR_OUTPUT})
    endif()
    if(DEFINED ARG_FAIL_FOR_OUTPUT)
        set_tests_properties(${testname} PROPERTIES FAIL_REGULAR_EXPRESSION ${ARG_FAIL_FOR_OUTPUT})
    endif()

    # add test to check output files
    if(DEFINED ARG_REFERENCE_FILENAME OR DEFINED ARG_EXPECTED_FILES OR DEFINED ARG_TEST_SCRIPT)
        if(DEFINED ARG_REFERENCE_FILENAME)
            file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/testcases/${ARG_REFERENCE_FILENAME}" ARG_REFERENCE_FILENAME)
        endif()
        if(DEFINED ARG_EXPECTED_FILES)
            string(REPLACE ";" " " ARG_EXPECTED_FILES "${ARG_EXPECTED_FILES}")
        endif()
        if(DEFINED ARG_TEST_SCRIPT)
            set(ARG_TEST_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/${ARG_TEST_SCRIPT}")
        endif()

        add_test(NAME ${testname}_check_output
            COMMAND bash ${CMAKE_CURRENT_SOURCE_DIR}/check_output.sh
                    "${ARG_OUTPUT_FILENAME}" "${ARG_OUTPUT_PAGE}" "${ARG_REFERENCE_FILENAME}"
                    "${ARG_EXPECTED_FILES}" "${ARG_TEST_SCRIPT}")
        set_tests_properties(${testname}_check_output PROPERTIES
            ENVIRONMENT "${CMAKE_CTEST_ENV}" DEPENDS ${testname} SKIP_RETURN_CODE 42)
    endif()

    # add a fuzzy test to check the output files
    if(DEFINED ARG_FUZZYREF_FILENAME)
        file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/testcases/${ARG_FUZZYREF_FILENAME}" ARG_FUZZYREF_FILENAME)
        if(DEFINED ARG_FUZZ_PERCENTAGE)
            set(ARG_FUZZ "${ARG_FUZZ_PERCENTAGE}")
        else()
            set(ARG_FUZZ "0")
        endif()
        add_test(NAME ${testname}_check_output
            COMMAND bash ${CMAKE_CURRENT_SOURCE_DIR}/l2compare.sh
            "${ARG_OUTPUT_FILENAME}" "${ARG_OUTPUT_PAGE}" "${ARG_FUZZYREF_FILENAME}" "${ARG_FUZZ}" "${ARG_RASTER_DPI}")
        set_tests_properties(${testname}_check_output PROPERTIES
            ENVIRONMENT "${CMAKE_CTEST_ENV}" DEPENDS ${testname} SKIP_RETURN_CODE 42)
    endif()

endfunction(add_cli_test)


##### Tests follow below #####



#############################################################################################
### Command line options (basic tests for all program options as listed in --help output) ###
#############################################################################################

# --help

# --version (check if we can run inkscape and the revision is known)
add_cli_test(version       PARAMETERS --version)
add_cli_test(version_known PARAMETERS --version FAIL_FOR_OUTPUT "\\(unknown\\)")

# --system-data-directory / --user-data-directory (unset environment variables to override our override)
# TODO: Can we make these tests more specific without making too many assumptions?
add_cli_test(system-data-directory PARAMETERS --system-data-directory ENVIRONMENT unset PASS_FOR_OUTPUT "inkscape\n$")
add_cli_test(user-data-directory   PARAMETERS --user-data-directory   ENVIRONMENT unset PASS_FOR_OUTPUT "inkscape\n$")

# --pipe

# --pdf-page=PAGE

# --pdf-poppler
add_cli_test(pdf-poppler-mesh-import
                        PARAMETERS --pdf-poppler
                        INPUT_FILENAME pdf-mesh.pdf
                        OUTPUT_FILENAME pdf-mesh_poppler.svg
                        TEST_SCRIPT match_regex.sh pdf-mesh_poppler.svg "<image")
add_cli_test(pdf-internal-mesh-import
                        INPUT_FILENAME pdf-mesh.pdf
                        OUTPUT_FILENAME pdf-mesh_internal.svg
                        TEST_SCRIPT match_regex_fail.sh pdf-mesh_internal.svg "<image")

# --convert-dpi-method=METHOD

# --no-convert-text-baseline-spacing

# --export-filename=FILENAME
## check for https://gitlab.com/inkscape/inkscape/-/issues/1712
install(DIRECTORY DESTINATION ${test.dir})
add_cli_test(export-type-dot-separated PARAMETERS --export-type=svg,png
                         INPUT_FILENAME empty.svg OUTPUT_FILENAME test.dir/empty
                         EXPECTED_FILES test.dir/empty.svg test.dir/empty.png)

# --export-overwrite

# --export-type=TYPE[,TYPE]*

##  test whether we can export all default types in principle (and in one command)
add_cli_test(export-type PARAMETERS --export-type=svg,png,ps,eps,pdf,emf,wmf
                         INPUT_FILENAME empty.svg OUTPUT_FILENAME empty
                         EXPECTED_FILES empty.svg empty.png empty.ps empty.eps empty.pdf empty.emf empty.wmf)
##  test whether this also works if the export types are not lowercase
add_cli_test(export-type-caseinsensitive PARAMETERS --export-type=sVg,Png,PS,eps,Pdf,emf,wmf
                         INPUT_FILENAME empty.svg OUTPUT_FILENAME empty
                         EXPECTED_FILES empty.svg empty.png empty.ps empty.eps empty.pdf empty.emf empty.wmf)

## test whether we produce sane output for the default types
add_cli_test(export-type_svg  PARAMETERS --export-type=svg INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.svg REFERENCE_FILENAME shapes.svg)
add_cli_test(export-type_png  PARAMETERS --export-type=png INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.png REFERENCE_FILENAME shapes_expected.png)
add_cli_test(export-type_ps   PARAMETERS --export-type=ps  INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.ps  REFERENCE_FILENAME shapes_expected.ps)
add_cli_test(export-type_eps  PARAMETERS --export-type=eps INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.eps REFERENCE_FILENAME shapes_expected.eps)
add_cli_test(export-type_pdf  PARAMETERS --export-type=pdf INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.pdf REFERENCE_FILENAME shapes_expected.pdf)
add_cli_test(export-type_emf  PARAMETERS --export-type=emf INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.emf REFERENCE_FILENAME shapes_expected.emf)
add_cli_test(export-type_wmf  PARAMETERS --export-type=wmf INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.wmf REFERENCE_FILENAME shapes_expected.wmf)
# XAML is not supported by ImageMagick's convert, so simply compare binary
add_cli_test(export-type_xaml PARAMETERS --export-type=xaml INPUT_FILENAME shapes.svg OUTPUT_FILENAME shapes.xaml
                              TEST_SCRIPT compare.sh shapes.xaml "${CMAKE_CURRENT_SOURCE_DIR}/testcases/shapes_expected.xaml")

# --export-area-page
add_cli_test(export-area-page_png PARAMETERS --export-area-page --export-type=png INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.png REFERENCE_FILENAME export-area-page_expected.png)
add_cli_test(export-area-page_svg PARAMETERS --export-area-page --export-type=svg INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.svg REFERENCE_FILENAME export-area-page_expected.svg)
add_cli_test(export-area-page_pdf PARAMETERS --export-area-page --export-type=pdf INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.pdf REFERENCE_FILENAME export-area-page_expected.pdf)
add_cli_test(export-area-page_ps  PARAMETERS --export-area-page --export-type=ps  INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.ps  REFERENCE_FILENAME export-area-page_expected.ps)
# EPS: Currently not supported. Feature request: https://gitlab.com/inkscape/inkscape/-/issues/1074
# add_cli_test(export-area-page_eps PARAMETERS --export-area-page --export-type=eps INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.eps REFERENCE_FILENAME export-area-page_expected.eps)
add_cli_test(export-area-page_emf PARAMETERS --export-area-page --export-type=emf INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.emf REFERENCE_FILENAME export-area-page_expected.emf)
add_cli_test(export-area-page_wmf PARAMETERS --export-area-page --export-type=wmf INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page.wmf REFERENCE_FILENAME export-area-page_expected.wmf)

# --export-area-page + --export-id  (+ --export-id-only)
# TODO: PDF/PS/EPS always behave as if --export-id-only was given, see https://gitlab.com/inkscape/inkscape/-/issues/1173
add_cli_test(export-area-page_export-id_png PARAMETERS --export-area-page --export-id=MyStar --export-id-only INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page_export-id.png REFERENCE_FILENAME export-area-page_export-id.png)
add_cli_test(export-area-page_export-id_svg PARAMETERS --export-area-page --export-id=MyStar --export-id-only INPUT_FILENAME areas.svg OUTPUT_FILENAME export-area-page_export-id.svg REFERENCE_FILENAME export-area-page_export-id.svg)

=== debian/changelog ===
inkscape (1.4.3-0.1~mx25+1) mx; urgency=medium

  * New upstream version 1.4.3
  * Refresh skip-test-lpe.patch
  * Disable patches that don't apply to MX arches, or applied in new release

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Dec 2025 20:58:32 -0800

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               cmake,
               fonts-dejavu,
               ninja-build,
               python3
Build-Depends-Arch: imagemagick (>= 0) <!nocheck>,
                    lib2geom-dev (>= 1.3),
                    libaspell-dev,
                    libboost-dev,
                    libboost-filesystem-dev,
                    libboost-stacktrace-dev,
                    libcdr-dev,
                    libdbus-1-dev,
                    libdbus-glib-1-dev,
                    libdouble-conversion-dev,
                    libfontconfig-dev,
                    libgc-dev (>= 1:6.8),
                    libgmock-dev,
                    libgsl-dev,
                    libgspell-1-dev,
                    libgtk-3-dev,
                    libgtkmm-3.0-dev,
                    libgtksourceview-4-dev [!i386],
                    libgtkspell3-3-dev,
                    libjemalloc-dev,
                    liblcms2-dev,
                    libmagick++-dev,
                    libpango1.0-dev,
                    libpng-dev,
                    libpoppler-glib-dev,
                    libpoppler-private-dev,
                    libpotrace-dev,
                    libreadline-dev,
                    librevenge-dev,
                    librsvg2-common,
                    libsigc++-2.0-dev (>= 2.0.16-2),
                    libtool,
                    libvisio-dev,
                    libwpg-dev (>= 0.3.0),
                    libxml-parser-perl,
                    libxml2-dev (>= 2-2.4.24),
                    libxslt1-dev,
                    pkgconf,
                    python3-lxml <!nocheck>,
                    ragel [!i386],
                    zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://inkscape.org
Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape

Package: inkscape
Architecture: any
Depends:
 librsvg2-common [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 powerpc ppc64 sparc64],
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-cachecontrol,
 python3-tinycss2,
# Recommends:
 aspell,
 fig2dev,
 imagemagick,
 libimage-magick-perl,
 librsvg2-common,
 libwmf-bin,
 python3-cssselect,
 python3-lxml,
 python3-numpy,
 python3-platformdirs,
 python3-scour,
Suggests: dia,
          inkscape-tutorials,
          libsvg-perl,
          pstoedit,
          python3-packaging,
          python3-uniconvertor,
          ruby
Breaks: inkscape-open-symbols (<= 1.2.1-1)
Replaces: inkscape-open-symbols (<= 1.2.1-1)
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * python3-packaging: used by the Optimized SVG extension;
  * python3-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

Package: inkscape-tutorials
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: inkscape
Breaks: inkscape (<= 0.92.3-2~)
Replaces: inkscape (<= 0.92.3-2~)
Description: vector-based drawing program - tutorials
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 This package contains the tutorials, accessible from the Help > Tutorials
 menu.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
else
	NUMJOBS = 1
endif

ifeq (${DEB_HOST_ARCH_CPU},i386)
export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
endif

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_DBUS=ON \
		$(if $(embed_2geom),-D2GEOM_BUILD_SHARED=OFF)

override_dh_auto_test-arch:
	cd obj-$(DEB_HOST_GNU_TYPE) && LC_ALL=C.UTF-8 ninja -j$(NUMJOBS) -v tests
	# some tests are not parallel-safe, since they try to look at the same file
	dh_auto_test -a --no-parallel

override_dh_auto_install-arch:
	# The tutorials are manually installed, the rest goes here
	dh_auto_install --destdir=debian/inkscape
	rm -rv debian/inkscape/usr/share/inkscape/tutorials

override_dh_auto_configure-indep: nothing
override_dh_auto_build-indep: nothing
override_dh_auto_install-indep: nothing
override_dh_auto_test-indep: nothing

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

.PHONY: nothing
nothing:
	: Do nothing for the -indep build

## inkscape 1.4.3+202512261034+0d15f75042~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
inkscape (1:1.4.3+202512261034+0d15f75042~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Dec 2025 12:51:08 +0000

inkscape (1:1.4.3+202512261034+0d15f75042~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Fri, 26 Dec 2025 10:34:57 +0000

## inkscape 1.4.3+202512261035+0d15f75042~ubuntu24.04.1trisquel2

=== debian/changelog ===
inkscape (1:1.4.3+202512261035+0d15f75042~ubuntu24.04.1trisquel2) ecne-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Dec 2025 12:51:13 +0000

inkscape (1:1.4.3+202512261035+0d15f75042~ubuntu24.04.1) noble; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Fri, 26 Dec 2025 10:35:12 +0000

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Ted Gould <ted@gould.cx>,
           Bryce Harrington <bryce@bryceharrington.org>,
           Marc Jeanmougin <marc.jeanmougin@telecom-paris.fr>
Build-Depends:
 aspell,
 bash-completion,
 gnome-pkg-tools,
 debhelper,
 dh-python,
 build-essential,
 cmake,
 intltool,
 pkg-config,
 python3-dev,
 libtool,
 software-properties-common,
 libart-2.0-dev,
 libaspell-dev,
 libgspell-1-dev,
 libblas3,
 liblapack3,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-python-dev,
 libboost-stacktrace-dev,
 libcdr-dev,
 libdouble-conversion-dev,
 libgc-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgsl-dev,
 libgtest-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libgtksourceview-4-dev,
 libgtkspell3-3-dev,
 libhunspell-dev,
 libjemalloc-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpotrace-dev,
 libreadline-dev,
 librevenge-dev,
 libsigc++-2.0-dev,
 libsoup2.4-dev,
 libvisio-dev,
 libwpg-dev,
 libxml-parser-perl,
 libxml2-dev,
 libxslt1-dev,
 pkg-config,
 python3-lxml,
 zlib1g-dev,
 google-mock,
 imagemagick,
 fonts-dejavu
Build-Conflicts:
 libpng12-dev
Standards-Version: 3.9.8
Homepage: https://inkscape.org/
Vcs-Browser: https://gitlab.com/inkscape/inkscape
Vcs-git: https://gitlab.com/inkscape/inkscape.git

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 aspell,
 imagemagick,
 perlmagick,
 libwmf-bin,
 perlmagick,
 python3-lxml,
 python3-bs4,
 python3-cachecontrol,
 python3-numpy,
 python3-scour,
 python3-cssselect,
 python3-packaging,
 python3-pyparsing,
 python3-requests,
 python3-tinycss2,
 python3-filelock,
 python3-gi,
 python3-gi-cairo,
 python3-appdirs,
 python3-pil,
 python3-zstandard,
 gir1.2-gtk-3.0,
 adwaita-icon-theme-full
Suggests:
 dia | dia-gnome,
 ruby,
 libsvg-perl,
 libxml-xql-perl,
 transfig,
 python3-serial,
 pstoedit
Conflicts: inkscape-trunk, lib2geom1.1.0, lib2geom1.2.0, lib2geom1.3.0
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything you need to create
 professional-quality computer art.  You can use it to make diagrams and 
 illustrations, technical drawings, web graphics, clip art, icons and logos.
 A collection of hands-on tutorials show you how to combine lines, shapes, and
 text of different styles to build up a picture.
 .
 A selection of powerful vector graphics editing tools comes as standard. There
 is excellent support for paths, gradients, layers, alpha transparency, and 
 text flow control. An extensive library of filters allows you to apply 
 realistic effects, and extensions allow you to work with bitmaps, barcodes 
 and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe 
 Illustrator and AutoCAD files, and it has unrivalled support for the SVG web 
 graphics standard.
